
			**** NOTES ****


== New options available if ENABLE_STEP is defined:

listbox
   Entries are scanned for " ->" at the end of the string. If the
   sequence is found, it is replaced by a *step styled arrow at the
   right side of the listbox (seen in the *step filer).

canvas rectangle item
   -rounded NUMBER
	rounded corners for the rectangle (highlighting of icons...)
	use same outline as fill for no outline (this makes the thing
	smooth...)

scrollbar
   -noArrow
   	if 1 arrows buttons aren't drawed. Default is 0

menubutton
   -indicatorType
	can be either normal (for pop-up lists) or downarrow (for pull-down
	lists)

button
   -indicatoron 
   	If 1 (default is 0) a return indicator is drawed on the right of
	text. 

frame
  -text
  	Text to display on the top of frame
  -foreground
  -fg
  	Text color
  -font 
  	Font for text
  -justify
  	Justification of text

== New widgets
Written in Tk:

tksColorWell-
	drag and drop color setting widget for use with tksColorChooser or
	the standard tcolor demo

== Others
	
XPM image format (load from files). Requires libXpm 4.7 (better 4.9)

If you set TKSTEP_PUSH_STYLE to 1, the button push behaviour
will be changed.



		**** BUGS and LIMITATIONS ****

- It works in monochrome displays but some things will not be visible
  because of it's colors. I'll not fix this in the near future, unless
  somebody needs it. If you do that, send me them and I'll include in the
  package.
- Sometimes, widget behavior with attributes (color, width...) other 
  than the default will not be as the user expects.
- Scrollbars need some attention, there are a few residual problems with the
  slider size changes.
- I'd like to make the 3D border colours of the text, entry and listbox
  widgets change colour to reflect that of the parent widget, but at the
  moment they're fixed to be NORMAL_BG.

